# See https://pre-commit.com for more information
# See https://pre-commit.com/hooks.html for more hooks
repos:
-   repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.4.0
    hooks:
    -   id: trailing-whitespace
    -   id: end-of-file-fixer
    -   id: check-yaml
    -   id: check-added-large-files
# configuration copied and adapted from https://github.com/astral-sh/rye/discussions/1095
-   repo: local
    hooks:
    - id: rye-lint
      name: rye-lint
      description: "Lint Python via 'rye lint'"
      entry: rye lint --fix
      language: system
      types_or: [python, pyi]
      args: []
      require_serial: true
      additional_dependencies: []
      minimum_pre_commit_version: "2.9.2"
    - id: rye-format
      name: rye-format
      description: "Format Python via 'rye fmt'"
      entry: rye fmt
      language: system
      types_or: [python, pyi]
      args: []
      require_serial: true
      additional_dependencies: []
      minimum_pre_commit_version: "2.9.2"
